import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { BatchGetBuildsInput } from "../types/BatchGetBuildsInput";
import { BatchGetBuildsOutput } from "../types/BatchGetBuildsOutput";
import { CodeBuildResolvedConfiguration } from "../CodeBuildConfiguration";
export * from "../types/BatchGetBuildsInput";
export * from "../types/BatchGetBuildsOutput";
export * from "../types/BatchGetBuildsExceptionsUnion";
export declare class BatchGetBuildsCommand implements __aws_sdk_types.Command<InputTypesUnion, BatchGetBuildsInput, OutputTypesUnion, BatchGetBuildsOutput, CodeBuildResolvedConfiguration, Blob> {
    readonly input: BatchGetBuildsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<BatchGetBuildsInput, BatchGetBuildsOutput, Blob>;
    constructor(input: BatchGetBuildsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeBuildResolvedConfiguration): __aws_sdk_types.Handler<BatchGetBuildsInput, BatchGetBuildsOutput>;
}
