import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateWebhookInput } from "../types/CreateWebhookInput";
import { CreateWebhookOutput } from "../types/CreateWebhookOutput";
import { CodeBuildResolvedConfiguration } from "../CodeBuildConfiguration";
export * from "../types/CreateWebhookInput";
export * from "../types/CreateWebhookOutput";
export * from "../types/CreateWebhookExceptionsUnion";
export declare class CreateWebhookCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateWebhookInput, OutputTypesUnion, CreateWebhookOutput, CodeBuildResolvedConfiguration, Blob> {
    readonly input: CreateWebhookInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateWebhookInput, CreateWebhookOutput, Blob>;
    constructor(input: CreateWebhookInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeBuildResolvedConfiguration): __aws_sdk_types.Handler<CreateWebhookInput, CreateWebhookOutput>;
}
