import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteProjectInput } from "../types/DeleteProjectInput";
import { DeleteProjectOutput } from "../types/DeleteProjectOutput";
import { CodeBuildResolvedConfiguration } from "../CodeBuildConfiguration";
export * from "../types/DeleteProjectInput";
export * from "../types/DeleteProjectOutput";
export * from "../types/DeleteProjectExceptionsUnion";
export declare class DeleteProjectCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteProjectInput, OutputTypesUnion, DeleteProjectOutput, CodeBuildResolvedConfiguration, Blob> {
    readonly input: DeleteProjectInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteProjectInput, DeleteProjectOutput, Blob>;
    constructor(input: DeleteProjectInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeBuildResolvedConfiguration): __aws_sdk_types.Handler<DeleteProjectInput, DeleteProjectOutput>;
}
