import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListBuildsForProjectInput } from "../types/ListBuildsForProjectInput";
import { ListBuildsForProjectOutput } from "../types/ListBuildsForProjectOutput";
import { CodeBuildResolvedConfiguration } from "../CodeBuildConfiguration";
export * from "../types/ListBuildsForProjectInput";
export * from "../types/ListBuildsForProjectOutput";
export * from "../types/ListBuildsForProjectExceptionsUnion";
export declare class ListBuildsForProjectCommand implements __aws_sdk_types.Command<InputTypesUnion, ListBuildsForProjectInput, OutputTypesUnion, ListBuildsForProjectOutput, CodeBuildResolvedConfiguration, Blob> {
    readonly input: ListBuildsForProjectInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListBuildsForProjectInput, ListBuildsForProjectOutput, Blob>;
    constructor(input: ListBuildsForProjectInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeBuildResolvedConfiguration): __aws_sdk_types.Handler<ListBuildsForProjectInput, ListBuildsForProjectOutput>;
}
