"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListBuildsForProject_1 = require("../model/operations/ListBuildsForProject");
var ListBuildsForProjectCommand = /** @class */ (function () {
    function ListBuildsForProjectCommand(input) {
        this.input = input;
        this.model = ListBuildsForProject_1.ListBuildsForProject;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListBuildsForProjectCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListBuildsForProjectCommand;
}());
exports.ListBuildsForProjectCommand = ListBuildsForProjectCommand;
//# sourceMappingURL=ListBuildsForProjectCommand.js.map