import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListCuratedEnvironmentImagesInput } from "../types/ListCuratedEnvironmentImagesInput";
import { ListCuratedEnvironmentImagesOutput } from "../types/ListCuratedEnvironmentImagesOutput";
import { CodeBuildResolvedConfiguration } from "../CodeBuildConfiguration";
export * from "../types/ListCuratedEnvironmentImagesInput";
export * from "../types/ListCuratedEnvironmentImagesOutput";
export * from "../types/ListCuratedEnvironmentImagesExceptionsUnion";
export declare class ListCuratedEnvironmentImagesCommand implements __aws_sdk_types.Command<InputTypesUnion, ListCuratedEnvironmentImagesInput, OutputTypesUnion, ListCuratedEnvironmentImagesOutput, CodeBuildResolvedConfiguration, Blob> {
    readonly input: ListCuratedEnvironmentImagesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListCuratedEnvironmentImagesInput, ListCuratedEnvironmentImagesOutput, Blob>;
    constructor(input: ListCuratedEnvironmentImagesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeBuildResolvedConfiguration): __aws_sdk_types.Handler<ListCuratedEnvironmentImagesInput, ListCuratedEnvironmentImagesOutput>;
}
