import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { StartBuildInput } from "../types/StartBuildInput";
import { StartBuildOutput } from "../types/StartBuildOutput";
import { CodeBuildResolvedConfiguration } from "../CodeBuildConfiguration";
export * from "../types/StartBuildInput";
export * from "../types/StartBuildOutput";
export * from "../types/StartBuildExceptionsUnion";
export declare class StartBuildCommand implements __aws_sdk_types.Command<InputTypesUnion, StartBuildInput, OutputTypesUnion, StartBuildOutput, CodeBuildResolvedConfiguration, Blob> {
    readonly input: StartBuildInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<StartBuildInput, StartBuildOutput, Blob>;
    constructor(input: StartBuildInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeBuildResolvedConfiguration): __aws_sdk_types.Handler<StartBuildInput, StartBuildOutput>;
}
