import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { StopBuildInput } from "../types/StopBuildInput";
import { StopBuildOutput } from "../types/StopBuildOutput";
import { CodeBuildResolvedConfiguration } from "../CodeBuildConfiguration";
export * from "../types/StopBuildInput";
export * from "../types/StopBuildOutput";
export * from "../types/StopBuildExceptionsUnion";
export declare class StopBuildCommand implements __aws_sdk_types.Command<InputTypesUnion, StopBuildInput, OutputTypesUnion, StopBuildOutput, CodeBuildResolvedConfiguration, Blob> {
    readonly input: StopBuildInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<StopBuildInput, StopBuildOutput, Blob>;
    constructor(input: StopBuildInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeBuildResolvedConfiguration): __aws_sdk_types.Handler<StopBuildInput, StopBuildOutput>;
}
