import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateWebhookInput } from "../types/UpdateWebhookInput";
import { UpdateWebhookOutput } from "../types/UpdateWebhookOutput";
import { CodeBuildResolvedConfiguration } from "../CodeBuildConfiguration";
export * from "../types/UpdateWebhookInput";
export * from "../types/UpdateWebhookOutput";
export * from "../types/UpdateWebhookExceptionsUnion";
export declare class UpdateWebhookCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateWebhookInput, OutputTypesUnion, UpdateWebhookOutput, CodeBuildResolvedConfiguration, Blob> {
    readonly input: UpdateWebhookInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateWebhookInput, UpdateWebhookOutput, Blob>;
    constructor(input: UpdateWebhookInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeBuildResolvedConfiguration): __aws_sdk_types.Handler<UpdateWebhookInput, UpdateWebhookOutput>;
}
