"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateWebhook_1 = require("../model/operations/UpdateWebhook");
var UpdateWebhookCommand = /** @class */ (function () {
    function UpdateWebhookCommand(input) {
        this.input = input;
        this.model = UpdateWebhook_1.UpdateWebhook;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateWebhookCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateWebhookCommand;
}());
exports.UpdateWebhookCommand = UpdateWebhookCommand;
//# sourceMappingURL=UpdateWebhookCommand.js.map