"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var BatchGetBuildsInput_1 = require("../shapes/BatchGetBuildsInput");
var BatchGetBuildsOutput_1 = require("../shapes/BatchGetBuildsOutput");
var InvalidInputException_1 = require("../shapes/InvalidInputException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.BatchGetBuilds = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "BatchGetBuilds",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: BatchGetBuildsInput_1.BatchGetBuildsInput
    },
    output: {
        shape: BatchGetBuildsOutput_1.BatchGetBuildsOutput
    },
    errors: [
        {
            shape: InvalidInputException_1.InvalidInputException
        }
    ]
};
//# sourceMappingURL=BatchGetBuilds.js.map