"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var BatchGetProjectsInput_1 = require("../shapes/BatchGetProjectsInput");
var BatchGetProjectsOutput_1 = require("../shapes/BatchGetProjectsOutput");
var InvalidInputException_1 = require("../shapes/InvalidInputException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.BatchGetProjects = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "BatchGetProjects",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: BatchGetProjectsInput_1.BatchGetProjectsInput
    },
    output: {
        shape: BatchGetProjectsOutput_1.BatchGetProjectsOutput
    },
    errors: [
        {
            shape: InvalidInputException_1.InvalidInputException
        }
    ]
};
//# sourceMappingURL=BatchGetProjects.js.map