"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteProjectInput_1 = require("../shapes/DeleteProjectInput");
var DeleteProjectOutput_1 = require("../shapes/DeleteProjectOutput");
var InvalidInputException_1 = require("../shapes/InvalidInputException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteProject = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteProject",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteProjectInput_1.DeleteProjectInput
    },
    output: {
        shape: DeleteProjectOutput_1.DeleteProjectOutput
    },
    errors: [
        {
            shape: InvalidInputException_1.InvalidInputException
        }
    ]
};
//# sourceMappingURL=DeleteProject.js.map