"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteSourceCredentialsInput_1 = require("../shapes/DeleteSourceCredentialsInput");
var DeleteSourceCredentialsOutput_1 = require("../shapes/DeleteSourceCredentialsOutput");
var InvalidInputException_1 = require("../shapes/InvalidInputException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteSourceCredentials = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteSourceCredentials",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteSourceCredentialsInput_1.DeleteSourceCredentialsInput
    },
    output: {
        shape: DeleteSourceCredentialsOutput_1.DeleteSourceCredentialsOutput
    },
    errors: [
        {
            shape: InvalidInputException_1.InvalidInputException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        }
    ]
};
//# sourceMappingURL=DeleteSourceCredentials.js.map