"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteWebhookInput_1 = require("../shapes/DeleteWebhookInput");
var DeleteWebhookOutput_1 = require("../shapes/DeleteWebhookOutput");
var InvalidInputException_1 = require("../shapes/InvalidInputException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var OAuthProviderException_1 = require("../shapes/OAuthProviderException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteWebhook = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteWebhook",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteWebhookInput_1.DeleteWebhookInput
    },
    output: {
        shape: DeleteWebhookOutput_1.DeleteWebhookOutput
    },
    errors: [
        {
            shape: InvalidInputException_1.InvalidInputException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: OAuthProviderException_1.OAuthProviderException
        }
    ]
};
//# sourceMappingURL=DeleteWebhook.js.map