"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var InvalidateProjectCacheInput_1 = require("../shapes/InvalidateProjectCacheInput");
var InvalidateProjectCacheOutput_1 = require("../shapes/InvalidateProjectCacheOutput");
var InvalidInputException_1 = require("../shapes/InvalidInputException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.InvalidateProjectCache = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "InvalidateProjectCache",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: InvalidateProjectCacheInput_1.InvalidateProjectCacheInput
    },
    output: {
        shape: InvalidateProjectCacheOutput_1.InvalidateProjectCacheOutput
    },
    errors: [
        {
            shape: InvalidInputException_1.InvalidInputException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        }
    ]
};
//# sourceMappingURL=InvalidateProjectCache.js.map