"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListBuildsInput_1 = require("../shapes/ListBuildsInput");
var ListBuildsOutput_1 = require("../shapes/ListBuildsOutput");
var InvalidInputException_1 = require("../shapes/InvalidInputException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListBuilds = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListBuilds",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListBuildsInput_1.ListBuildsInput
    },
    output: {
        shape: ListBuildsOutput_1.ListBuildsOutput
    },
    errors: [
        {
            shape: InvalidInputException_1.InvalidInputException
        }
    ]
};
//# sourceMappingURL=ListBuilds.js.map