"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListProjectsInput_1 = require("../shapes/ListProjectsInput");
var ListProjectsOutput_1 = require("../shapes/ListProjectsOutput");
var InvalidInputException_1 = require("../shapes/InvalidInputException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListProjects = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListProjects",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListProjectsInput_1.ListProjectsInput
    },
    output: {
        shape: ListProjectsOutput_1.ListProjectsOutput
    },
    errors: [
        {
            shape: InvalidInputException_1.InvalidInputException
        }
    ]
};
//# sourceMappingURL=ListProjects.js.map