"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var StopBuildInput_1 = require("../shapes/StopBuildInput");
var StopBuildOutput_1 = require("../shapes/StopBuildOutput");
var InvalidInputException_1 = require("../shapes/InvalidInputException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.StopBuild = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "StopBuild",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: StopBuildInput_1.StopBuildInput
    },
    output: {
        shape: StopBuildOutput_1.StopBuildOutput
    },
    errors: [
        {
            shape: InvalidInputException_1.InvalidInputException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        }
    ]
};
//# sourceMappingURL=StopBuild.js.map