"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateProjectInput_1 = require("../shapes/UpdateProjectInput");
var UpdateProjectOutput_1 = require("../shapes/UpdateProjectOutput");
var InvalidInputException_1 = require("../shapes/InvalidInputException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateProject = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateProject",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UpdateProjectInput_1.UpdateProjectInput
    },
    output: {
        shape: UpdateProjectOutput_1.UpdateProjectOutput
    },
    errors: [
        {
            shape: InvalidInputException_1.InvalidInputException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        }
    ]
};
//# sourceMappingURL=UpdateProject.js.map