"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _FilterGroups_1 = require("./_FilterGroups");
exports.UpdateWebhookInput = {
    type: "structure",
    required: ["projectName"],
    members: {
        projectName: {
            shape: {
                type: "string",
                min: 2
            }
        },
        branchFilter: {
            shape: {
                type: "string"
            }
        },
        rotateSecret: {
            shape: {
                type: "boolean"
            }
        },
        filterGroups: {
            shape: _FilterGroups_1._FilterGroups
        }
    }
};
//# sourceMappingURL=UpdateWebhookInput.js.map