"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _CloudWatchLogsConfig_1 = require("./_CloudWatchLogsConfig");
var _S3LogsConfig_1 = require("./_S3LogsConfig");
exports._LogsLocation = {
    type: "structure",
    required: [],
    members: {
        groupName: {
            shape: {
                type: "string"
            }
        },
        streamName: {
            shape: {
                type: "string"
            }
        },
        deepLink: {
            shape: {
                type: "string"
            }
        },
        s3DeepLink: {
            shape: {
                type: "string"
            }
        },
        cloudWatchLogs: {
            shape: _CloudWatchLogsConfig_1._CloudWatchLogsConfig
        },
        s3Logs: {
            shape: _S3LogsConfig_1._S3LogsConfig
        }
    }
};
//# sourceMappingURL=_LogsLocation.js.map