"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CodeBuildClient_1 = require("../../CodeBuildClient");
var ListBuildsCommand_1 = require("../../commands/ListBuildsCommand");
describe("@aws-sdk/client-codebuild-browser Smoke Tests:", function () {
    defaultRegion = defaultRegion || "us-west-2";
    it("ListBuilds should succeed when given correct input", function (done) {
        var client = new CodeBuildClient_1.CodeBuildClient({
            region: defaultRegion,
            credentials: credentials
        });
        var listBuilds = new ListBuildsCommand_1.ListBuildsCommand({});
        client
            .send(listBuilds)
            .then(function (result) {
            expect(typeof result).toBe("object");
            done();
        })
            .catch(function (err) {
            expect(err).toBeUndefined();
            done();
        });
    });
});
//# sourceMappingURL=index.spec.js.map