import { BatchDeleteBuildsOutput } from "./BatchDeleteBuildsOutput";
import { BatchGetBuildsOutput } from "./BatchGetBuildsOutput";
import { BatchGetProjectsOutput } from "./BatchGetProjectsOutput";
import { CreateProjectOutput } from "./CreateProjectOutput";
import { CreateWebhookOutput } from "./CreateWebhookOutput";
import { DeleteProjectOutput } from "./DeleteProjectOutput";
import { DeleteSourceCredentialsOutput } from "./DeleteSourceCredentialsOutput";
import { DeleteWebhookOutput } from "./DeleteWebhookOutput";
import { ImportSourceCredentialsOutput } from "./ImportSourceCredentialsOutput";
import { InvalidateProjectCacheOutput } from "./InvalidateProjectCacheOutput";
import { ListBuildsOutput } from "./ListBuildsOutput";
import { ListBuildsForProjectOutput } from "./ListBuildsForProjectOutput";
import { ListCuratedEnvironmentImagesOutput } from "./ListCuratedEnvironmentImagesOutput";
import { ListProjectsOutput } from "./ListProjectsOutput";
import { ListSourceCredentialsOutput } from "./ListSourceCredentialsOutput";
import { StartBuildOutput } from "./StartBuildOutput";
import { StopBuildOutput } from "./StopBuildOutput";
import { UpdateProjectOutput } from "./UpdateProjectOutput";
import { UpdateWebhookOutput } from "./UpdateWebhookOutput";
export declare type OutputTypesUnion = BatchDeleteBuildsOutput | BatchGetBuildsOutput | BatchGetProjectsOutput | CreateProjectOutput | CreateWebhookOutput | DeleteProjectOutput | DeleteSourceCredentialsOutput | DeleteWebhookOutput | ImportSourceCredentialsOutput | InvalidateProjectCacheOutput | ListBuildsOutput | ListBuildsForProjectOutput | ListCuratedEnvironmentImagesOutput | ListProjectsOutput | ListSourceCredentialsOutput | StartBuildOutput | StopBuildOutput | UpdateProjectOutput | UpdateWebhookOutput;
