"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var BatchDeleteBuilds_1 = require("../model/operations/BatchDeleteBuilds");
var BatchDeleteBuildsCommand = /** @class */ (function () {
    function BatchDeleteBuildsCommand(input) {
        this.input = input;
        this.model = BatchDeleteBuilds_1.BatchDeleteBuilds;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    BatchDeleteBuildsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return BatchDeleteBuildsCommand;
}());
exports.BatchDeleteBuildsCommand = BatchDeleteBuildsCommand;
//# sourceMappingURL=BatchDeleteBuildsCommand.js.map