"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var BatchGetBuilds_1 = require("../model/operations/BatchGetBuilds");
var BatchGetBuildsCommand = /** @class */ (function () {
    function BatchGetBuildsCommand(input) {
        this.input = input;
        this.model = BatchGetBuilds_1.BatchGetBuilds;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    BatchGetBuildsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return BatchGetBuildsCommand;
}());
exports.BatchGetBuildsCommand = BatchGetBuildsCommand;
//# sourceMappingURL=BatchGetBuildsCommand.js.map