import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { BatchGetProjectsInput } from "../types/BatchGetProjectsInput";
import { BatchGetProjectsOutput } from "../types/BatchGetProjectsOutput";
import { CodeBuildResolvedConfiguration } from "../CodeBuildConfiguration";
export * from "../types/BatchGetProjectsInput";
export * from "../types/BatchGetProjectsOutput";
export * from "../types/BatchGetProjectsExceptionsUnion";
export declare class BatchGetProjectsCommand implements __aws_sdk_types.Command<InputTypesUnion, BatchGetProjectsInput, OutputTypesUnion, BatchGetProjectsOutput, CodeBuildResolvedConfiguration, Blob> {
    readonly input: BatchGetProjectsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<BatchGetProjectsInput, BatchGetProjectsOutput, Blob>;
    constructor(input: BatchGetProjectsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeBuildResolvedConfiguration): __aws_sdk_types.Handler<BatchGetProjectsInput, BatchGetProjectsOutput>;
}
