import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateProjectInput } from "../types/CreateProjectInput";
import { CreateProjectOutput } from "../types/CreateProjectOutput";
import { CodeBuildResolvedConfiguration } from "../CodeBuildConfiguration";
export * from "../types/CreateProjectInput";
export * from "../types/CreateProjectOutput";
export * from "../types/CreateProjectExceptionsUnion";
export declare class CreateProjectCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateProjectInput, OutputTypesUnion, CreateProjectOutput, CodeBuildResolvedConfiguration, Blob> {
    readonly input: CreateProjectInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateProjectInput, CreateProjectOutput, Blob>;
    constructor(input: CreateProjectInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeBuildResolvedConfiguration): __aws_sdk_types.Handler<CreateProjectInput, CreateProjectOutput>;
}
