import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteSourceCredentialsInput } from "../types/DeleteSourceCredentialsInput";
import { DeleteSourceCredentialsOutput } from "../types/DeleteSourceCredentialsOutput";
import { CodeBuildResolvedConfiguration } from "../CodeBuildConfiguration";
export * from "../types/DeleteSourceCredentialsInput";
export * from "../types/DeleteSourceCredentialsOutput";
export * from "../types/DeleteSourceCredentialsExceptionsUnion";
export declare class DeleteSourceCredentialsCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteSourceCredentialsInput, OutputTypesUnion, DeleteSourceCredentialsOutput, CodeBuildResolvedConfiguration, Blob> {
    readonly input: DeleteSourceCredentialsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteSourceCredentialsInput, DeleteSourceCredentialsOutput, Blob>;
    constructor(input: DeleteSourceCredentialsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeBuildResolvedConfiguration): __aws_sdk_types.Handler<DeleteSourceCredentialsInput, DeleteSourceCredentialsOutput>;
}
