import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { InvalidateProjectCacheInput } from "../types/InvalidateProjectCacheInput";
import { InvalidateProjectCacheOutput } from "../types/InvalidateProjectCacheOutput";
import { CodeBuildResolvedConfiguration } from "../CodeBuildConfiguration";
export * from "../types/InvalidateProjectCacheInput";
export * from "../types/InvalidateProjectCacheOutput";
export * from "../types/InvalidateProjectCacheExceptionsUnion";
export declare class InvalidateProjectCacheCommand implements __aws_sdk_types.Command<InputTypesUnion, InvalidateProjectCacheInput, OutputTypesUnion, InvalidateProjectCacheOutput, CodeBuildResolvedConfiguration, Blob> {
    readonly input: InvalidateProjectCacheInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<InvalidateProjectCacheInput, InvalidateProjectCacheOutput, Blob>;
    constructor(input: InvalidateProjectCacheInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeBuildResolvedConfiguration): __aws_sdk_types.Handler<InvalidateProjectCacheInput, InvalidateProjectCacheOutput>;
}
