import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListSourceCredentialsInput } from "../types/ListSourceCredentialsInput";
import { ListSourceCredentialsOutput } from "../types/ListSourceCredentialsOutput";
import { CodeBuildResolvedConfiguration } from "../CodeBuildConfiguration";
export * from "../types/ListSourceCredentialsInput";
export * from "../types/ListSourceCredentialsOutput";
export * from "../types/ListSourceCredentialsExceptionsUnion";
export declare class ListSourceCredentialsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListSourceCredentialsInput, OutputTypesUnion, ListSourceCredentialsOutput, CodeBuildResolvedConfiguration, Blob> {
    readonly input: ListSourceCredentialsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListSourceCredentialsInput, ListSourceCredentialsOutput, Blob>;
    constructor(input: ListSourceCredentialsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeBuildResolvedConfiguration): __aws_sdk_types.Handler<ListSourceCredentialsInput, ListSourceCredentialsOutput>;
}
