import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateProjectInput } from "../types/UpdateProjectInput";
import { UpdateProjectOutput } from "../types/UpdateProjectOutput";
import { CodeBuildResolvedConfiguration } from "../CodeBuildConfiguration";
export * from "../types/UpdateProjectInput";
export * from "../types/UpdateProjectOutput";
export * from "../types/UpdateProjectExceptionsUnion";
export declare class UpdateProjectCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateProjectInput, OutputTypesUnion, UpdateProjectOutput, CodeBuildResolvedConfiguration, Blob> {
    readonly input: UpdateProjectInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateProjectInput, UpdateProjectOutput, Blob>;
    constructor(input: UpdateProjectInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeBuildResolvedConfiguration): __aws_sdk_types.Handler<UpdateProjectInput, UpdateProjectOutput>;
}
