"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var BatchDeleteBuildsInput_1 = require("../shapes/BatchDeleteBuildsInput");
var BatchDeleteBuildsOutput_1 = require("../shapes/BatchDeleteBuildsOutput");
var InvalidInputException_1 = require("../shapes/InvalidInputException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.BatchDeleteBuilds = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "BatchDeleteBuilds",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: BatchDeleteBuildsInput_1.BatchDeleteBuildsInput
    },
    output: {
        shape: BatchDeleteBuildsOutput_1.BatchDeleteBuildsOutput
    },
    errors: [
        {
            shape: InvalidInputException_1.InvalidInputException
        }
    ]
};
//# sourceMappingURL=BatchDeleteBuilds.js.map