"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ImportSourceCredentialsInput_1 = require("../shapes/ImportSourceCredentialsInput");
var ImportSourceCredentialsOutput_1 = require("../shapes/ImportSourceCredentialsOutput");
var InvalidInputException_1 = require("../shapes/InvalidInputException");
var AccountLimitExceededException_1 = require("../shapes/AccountLimitExceededException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ImportSourceCredentials = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ImportSourceCredentials",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ImportSourceCredentialsInput_1.ImportSourceCredentialsInput
    },
    output: {
        shape: ImportSourceCredentialsOutput_1.ImportSourceCredentialsOutput
    },
    errors: [
        {
            shape: InvalidInputException_1.InvalidInputException
        },
        {
            shape: AccountLimitExceededException_1.AccountLimitExceededException
        }
    ]
};
//# sourceMappingURL=ImportSourceCredentials.js.map