"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListBuildsForProjectInput_1 = require("../shapes/ListBuildsForProjectInput");
var ListBuildsForProjectOutput_1 = require("../shapes/ListBuildsForProjectOutput");
var InvalidInputException_1 = require("../shapes/InvalidInputException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListBuildsForProject = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListBuildsForProject",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListBuildsForProjectInput_1.ListBuildsForProjectInput
    },
    output: {
        shape: ListBuildsForProjectOutput_1.ListBuildsForProjectOutput
    },
    errors: [
        {
            shape: InvalidInputException_1.InvalidInputException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        }
    ]
};
//# sourceMappingURL=ListBuildsForProject.js.map