"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateWebhookInput_1 = require("../shapes/UpdateWebhookInput");
var UpdateWebhookOutput_1 = require("../shapes/UpdateWebhookOutput");
var InvalidInputException_1 = require("../shapes/InvalidInputException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var OAuthProviderException_1 = require("../shapes/OAuthProviderException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateWebhook = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateWebhook",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UpdateWebhookInput_1.UpdateWebhookInput
    },
    output: {
        shape: UpdateWebhookOutput_1.UpdateWebhookOutput
    },
    errors: [
        {
            shape: InvalidInputException_1.InvalidInputException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: OAuthProviderException_1.OAuthProviderException
        }
    ]
};
//# sourceMappingURL=UpdateWebhook.js.map