"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ImportSourceCredentialsInput = {
    type: "structure",
    required: ["token", "serverType", "authType"],
    members: {
        username: {
            shape: {
                type: "string",
                min: 1
            }
        },
        token: {
            shape: {
                type: "string",
                sensitive: true,
                min: 1
            }
        },
        serverType: {
            shape: {
                type: "string"
            }
        },
        authType: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=ImportSourceCredentialsInput.js.map