"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _EnvironmentVariables_1 = require("./_EnvironmentVariables");
var _RegistryCredential_1 = require("./_RegistryCredential");
exports._ProjectEnvironment = {
    type: "structure",
    required: ["type", "image", "computeType"],
    members: {
        type: {
            shape: {
                type: "string"
            }
        },
        image: {
            shape: {
                type: "string",
                min: 1
            }
        },
        computeType: {
            shape: {
                type: "string"
            }
        },
        environmentVariables: {
            shape: _EnvironmentVariables_1._EnvironmentVariables
        },
        privilegedMode: {
            shape: {
                type: "boolean"
            }
        },
        certificate: {
            shape: {
                type: "string"
            }
        },
        registryCredential: {
            shape: _RegistryCredential_1._RegistryCredential
        },
        imagePullCredentialsType: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_ProjectEnvironment.js.map