"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _GitSubmodulesConfig_1 = require("./_GitSubmodulesConfig");
var _SourceAuth_1 = require("./_SourceAuth");
exports._ProjectSource = {
    type: "structure",
    required: ["type"],
    members: {
        type: {
            shape: {
                type: "string"
            }
        },
        location: {
            shape: {
                type: "string"
            }
        },
        gitCloneDepth: {
            shape: {
                type: "integer"
            }
        },
        gitSubmodulesConfig: {
            shape: _GitSubmodulesConfig_1._GitSubmodulesConfig
        },
        buildspec: {
            shape: {
                type: "string"
            }
        },
        auth: {
            shape: _SourceAuth_1._SourceAuth
        },
        reportBuildStatus: {
            shape: {
                type: "boolean"
            }
        },
        insecureSsl: {
            shape: {
                type: "boolean"
            }
        },
        sourceIdentifier: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_ProjectSource.js.map