"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _Subnets_1 = require("./_Subnets");
var _SecurityGroupIds_1 = require("./_SecurityGroupIds");
exports._VpcConfig = {
    type: "structure",
    required: [],
    members: {
        vpcId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        subnets: {
            shape: _Subnets_1._Subnets
        },
        securityGroupIds: {
            shape: _SecurityGroupIds_1._SecurityGroupIds
        }
    }
};
//# sourceMappingURL=_VpcConfig.js.map