"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _FilterGroups_1 = require("./_FilterGroups");
exports._Webhook = {
    type: "structure",
    required: [],
    members: {
        url: {
            shape: {
                type: "string",
                min: 1
            }
        },
        payloadUrl: {
            shape: {
                type: "string",
                min: 1
            }
        },
        secret: {
            shape: {
                type: "string",
                min: 1
            }
        },
        branchFilter: {
            shape: {
                type: "string"
            }
        },
        filterGroups: {
            shape: _FilterGroups_1._FilterGroups
        },
        lastModifiedSecret: {
            shape: {
                type: "timestamp"
            }
        }
    }
};
//# sourceMappingURL=_Webhook.js.map